package com.blueland.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.blueland.bo.PubUserEntity;
import com.blueland.bo.RoleUserRest;
import com.blueland.model.TPubUser;

import java.util.List;

/**
 * @auther xcy
 * @create 2022-05-09 15:37
 */
public interface IPubUserService extends IService<TPubUser> {

    Page<RoleUserRest> getAppRoleUser(String appId, String roleId, String companyId, String deptId,
                                          String orgId, Integer curPage, Integer curPageSize);

    TPubUser get(PubUserEntity bo);

    List<PubUserEntity> findList(PubUserEntity bo);

    Page<PubUserEntity> findPage(PubUserEntity bo);
}
